Delete multiple shifts by External ID

Permanently deletes one or more shifts identified by their external IDs. Deleted shifts are immediately unrecoverable and can no longer be retrieved or modified. Token scopes: time-tracking:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Request body to bulk delete shifts by their external IDs.
dataobjectRequired
Request data containing the external IDs of shifts to be deleted.

Response

Shifts deleted successfully
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error